Bug 115021 - ItemSearch popup widget doesn't work from another server
ItemSearch popup widget doesn't work from another server
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
  Show dependency treegraph
Reported: 2004-02-05 11:39 EST by Matthew Booth
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-05 13:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch described above (5.83 KB, patch)
2004-02-05 11:40 EST, Matthew Booth
no flags Details | Diff

  None (edit)
Description Matthew Booth 2004-02-05 11:39:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
This is a feature request really, but an important one as it blocks
the deliver of Coventry City Council's APLAWS implementation.

We have a requirement to be able to create links to content on another
APLAWS server. We're reusing the ItemSearch popup widget to do this as
it's ideally suited for it. However it requires a couple of small mods:

It needs to support javascript domains so javascript from one server
can change a form generated by another server.

You shouldn't have to specify the id of a content section. We specify
its url instead and it's looked up from that.

Patch in comment.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. blah

Additional info:
Comment 1 Matthew Booth 2004-02-05 11:40:25 EST
Created attachment 97491 [details]
Patch described above
Comment 2 Jon Orris 2006-09-05 13:31:24 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.